module Slightcms
  
  module Generators
  
    class InstallGenerator < Rails::Generators::Base
    
      source_root File.expand_path("../../templates", __FILE__)
      
      desc "This generator generates a migration file and copies all static files to your rails application"
      
      # Create routes in routes.rb
      def create_admin_routes
        route("match ':id', :to => 'slightcms_pages#show'") 
      end
      
      # Show Readme file
      def show_readme
        readme "README" if behavior == :invoke
      end
    
    end
  
  end

end
